summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Grigorios Bouzakis <grbzks@gmail.com>2010-05-11 22:55:21 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:21 +0200
commit2809a1d78d39227426b5e3094378e2f22111dfa8 (patch)
tree8e161b8f67d107f96f042bb15295afafa71398ac /system
parent0687c9cad908a1f4ab35ec5144c296d93653f8b2 (diff)
downloadslackbuilds-2809a1d78d39227426b5e3094378e2f22111dfa8.tar.gz
slackbuilds-2809a1d78d39227426b5e3094378e2f22111dfa8.tar.xz
system/mktorrent: Added to 12.1 repository
Diffstat (limited to 'system')
-rw-r--r--system/mktorrent/README2
-rw-r--r--system/mktorrent/mktorrent.SlackBuild63
-rw-r--r--system/mktorrent/mktorrent.info8
-rw-r--r--system/mktorrent/slack-desc19
4 files changed, 92 insertions, 0 deletions
diff --git a/system/mktorrent/README b/system/mktorrent/README
new file mode 100644
index 0000000000..6e2fcf48d4
--- /dev/null
+++ b/system/mktorrent/README
@@ -0,0 +1,2 @@
+mktorrent is a console .torrent file creator. It supports Multi Trackers
+(tier groups).
diff --git a/system/mktorrent/mktorrent.SlackBuild b/system/mktorrent/mktorrent.SlackBuild
new file mode 100644
index 0000000000..ec8412a83e
--- /dev/null
+++ b/system/mktorrent/mktorrent.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for mktorrent
+# Written by Grigorios Bouzakis (grbzks@gmail.com)
+
+PRGNAM=mktorrent
+VERSION=${VERSION:-0.9.9}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+DOCS="CHANGES LICENSE"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+
+make
+
+mkdir -p $PKG/usr/bin
+cp -a mktorrent $PKG/usr/bin/
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/mktorrent/mktorrent.info b/system/mktorrent/mktorrent.info
new file mode 100644
index 0000000000..52bcc979d7
--- /dev/null
+++ b/system/mktorrent/mktorrent.info
@@ -0,0 +1,8 @@
+PRGNAM="mktorrent"
+VERSION="0.9.9"
+HOMEPAGE="http://borg.uu3.net/~borg/"
+DOWNLOAD="ftp://borg.uu3.net/pub/unix/mktorrent/mktorrent-0.9.9.tgz"
+MD5SUM="8bdfa36982446f3ccd8549fedefb7448"
+MAINTAINER="Grigorios Bouzakis"
+EMAIL="grbzks@gmail.com"
+APPROVED="David Somero"
diff --git a/system/mktorrent/slack-desc b/system/mktorrent/slack-desc
new file mode 100644
index 0000000000..48bae60c50
--- /dev/null
+++ b/system/mktorrent/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mktorrent: mktorrent (Console .torrent file creator)
+mktorrent:
+mktorrent: Console .torrent file creator. It support Multi Trackers.
+mktorrent:
+mktorrent: Homepage: http://borg.uu3.net/~borg/
+mktorrent:
+mktorrent:
+mktorrent:
+mktorrent:
+mktorrent:
+mktorrent: